[Overview][Types][Classes][Index] | Reference for unit 'ascii85' (#fcl)

# TASCII85DecoderStream.Close

Close decoder

## Declaration

Source position: ascii85.pp line 63

`published procedure TASCII85DecoderStream.Close;`

## Description

Close closes the decoder mechanism: it checks if all data was read and performs a check to see whether all input data was consumed.

## Errors

If the input stream was invalid, an EConvertError exception is raised.

## See also

TASCII85DecoderStream.ClosedP |  | Check if the state is correct
TASCII85DecoderStream.Read |  | Read data from stream
TASCII85DecoderStream.Destroy |  | Clean up instance

Documentation generated on: Feb 26 2014